/*******************************************************************************
 * Copyright (c) 2009 Pafsanias Ftakas.
 *
 * This file is part of DistProc.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * DistProc is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Eclipse Public License v1.0 for more details.
 *
 * Contributors:
 *     Pafsanias Ftakas - initial API and implementation
 *******************************************************************************/
package com.koutra.dist.proc.model;

/**
 * This is the interface that sinks that take part in a demux/mux pipeline should
 * implement.
 * @author Pafsanias Ftakas
 */
public interface ISinkTemplate extends ISink {

	/**
	 * The clone of this sink template, using the pipeline item hooked up to the template.
	 * 
	 * @param pipelineItem the pipeline item is the faucet of this sink instance.
	 */
	void createClone(IPipelineItem pipelineItem);
	
	/**
	 * Is this a clone?
	 * @return true iff this is a clone of a template.
	 */
	boolean isClone();
	
}
